Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.perforce
Class SimpleP4OutputHandler

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter
          org.apache.tools.ant.taskdefs.optional.perforce.SimpleP4OutputHandler

All Implemented Interfaces:
  ExecuteStreamHandler, P4Handler

public class SimpleP4OutputHandler
extends P4HandlerAdapter

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter
`P4HandlerAdapter.Reader`

Constructor Summary
`SimpleP4OutputHandler(P4Base parent)`

Method Summary
`void` | `process(java.lang.String line)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter
`setOutput, setProcessErrorStream, setProcessInputStream, setProcessOutputStream, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleP4OutputHandler

    public SimpleP4OutputHandler(P4Base parent)

Method Detail

### process

    public void process(java.lang.String line)
                 throws BuildException

  Specified by:
    `process` in interface `P4Handler`
  Specified by:
    `process` in class `P4HandlerAdapter`
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.